import http from '@/http'

export const listReviewProject = params => http.get('/api/v1/meeting/listReviewProject', { params }) // 评审会议列表

export const save = data => http.post('/api/v1/expertReview/save', data) // 提交评审意见
export const listForGroupLeader = ({ projectId, meetingId }) => http.get(`/api/v1/expertReview/listForGroupLeader/${projectId}/${meetingId}`) // 组员意见
export const templatesById = params => http.get('/api/v1/reviewTemplateSettings/templates', { params }) // 根据模版ID获取评审模版批量
export const expertReviewDetail = ({ projectId, userId }) => http.get(`/api/v1/expertReview/detail/${projectId}/${userId}`) // 专家评审意见
export const meetingListForLeave = params => http.get('/api/v1/meeting/expert/meetingListForLeave', { params }) // 会议请假列表
export const leaveSave = data => http.post('/api/v1/leave/save', data) // 请假

